How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Any feedback, suggestion, bug reports, problems....
TERRABYTEONE
Posts: 3
Joined: Wed Oct 10, 2018 11:30 pm

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by TERRABYTEONE » Fri Oct 12, 2018 9:50 am

how do you install the file flagfox5.2.11-esr.xpi

:doh: :geek:

Advertisements

 

User avatar
DaveG
Flagfox Developer
Posts: 722
Joined: Wed Oct 03, 2007 9:06 pm
Location: Philadelphia, USA

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by DaveG » Sat Oct 13, 2018 4:04 am

TERRABYTEONE wrote:
Fri Oct 12, 2018 9:50 am
how do you install the file flagfox5.2.11-esr.xpi
  1. Download the last Flagfox 5.2.x ESR version from the official page: https://flagfox.wordpress.com/download#5.2
  2. Override the requirement for only Mozilla signed addons (as they no longer allow these versions posted to AMO) by following the instructions on that download page. (Firefox 52 ESR required)
  3. Install your dowloaded installer file (XPI) via the Firefox Addon Manager: Go to Firefox menu -> Add-ons -> Gear menu (next to search field) -> "Install addon from file..." (autoupdates are no longer supported for old addons, but if you upgrade to Firefox 57 or 60+, it can be updated to current versions)

relotipa
Posts: 2
Joined: Tue Mar 26, 2019 3:27 am

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by relotipa » Tue Mar 26, 2019 3:29 am

DaveG wrote:
Sat Oct 13, 2018 4:04 am
TERRABYTEONE wrote:
Fri Oct 12, 2018 9:50 am
how do you install the file flagfox5.2.11-esr.xpi
  1. Download the last Flagfox 5.2.x ESR version from the official page: https://flagfox.wordpress.com/download#5.2
  2. Override the requirement for only Mozilla signed addons (as they no longer allow these versions posted to AMO) by following the instructions on that download page. (Firefox 52 ESR required)
  3. Install your dowloaded installer file (XPI) via the Firefox Addon Manager: Go to Firefox menu -> Add-ons -> Gear menu (next to search field) -> "Install addon from file..." (autoupdates are no longer supported for old addons, but if you upgrade to Firefox 57 or 60+, it can be updated to current versions)
It's not working.. Is there any settings I can modify to turn this off?

click-click
Posts: 4
Joined: Sun Mar 17, 2019 2:00 pm

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by click-click » Tue Mar 26, 2019 12:15 pm

avada wrote:
Sun Feb 11, 2018 10:06 am

It seems more like it appears erroneously, then disappears on its own. I checked the config file and it has "{"warn.tld":"disabled","warn.stale":"disabled"}" in it. Maybe I could work around it via CSS if I could get a selector to the Flagfox specific notification.

(I forgot to mention, but I'm on Waterfrox 56.0.3)
Same here. comes and goes. I checked the storage.js file and also have

Code: Select all

{"warn.tld":"disabled","warn.stale":"disabled"}

Right now Flagfox is quiet. When the pop-ups return, I'll check the storage.js to see if something changed. The last resort will be
to edit the addon package previously mentioned in this thread.

@DaveG
Is there any way to just replace the Flagfox DB with a newer one?
Last edited by click-click on Tue Mar 26, 2019 12:50 pm, edited 2 times in total.

click-click
Posts: 4
Joined: Sun Mar 17, 2019 2:00 pm

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by click-click » Tue Mar 26, 2019 12:40 pm

avada wrote:
Wed Feb 28, 2018 2:40 pm

Well... Since I couldn't figure out a CSS to to hide the warning I resorted to removing the warning function from flagfox.jsm. I can only do this because I can enable unsigned extensions, but at least it works.
BTW, did you just change the if (ipdb.daysOld > 90) statement to something else like if (ipdb.daysOld = 0)?

User avatar
DaveG
Flagfox Developer
Posts: 722
Joined: Wed Oct 03, 2007 9:06 pm
Location: Philadelphia, USA

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by DaveG » Mon Apr 22, 2019 1:06 am

Sorry for the late reply to the newer posts here. Buried in my inbox and I haven't been wading through my email enough.

First and foremost, I don't know what is broken with your browser that is causing it to wipe addon settings and causing this message to show after you've already disabled it. Could be a lot of things, but I don't really have control over that. I've long provided the simple checkbox to disable this message and that should be enough. I can't really troubleshoot a 2 year old addon version in a fork of a discontinued browser that could be doing weird things I don't know about.

As to why this is an issue, I'm sorry, but you're going to have to upgrade your browser eventually. Firefox 52 ESR is end-of-life and nothing which continues to be based on it is legitimate, including Waterfox. Mozilla can barely handle security and stability updates in a current ESR; I have zero faith a minor fork can backport everything needed to maintain security for an obsolete codebase.

I probably shouldn't answer the technical questions here, but I will:
click-click wrote:
Tue Mar 26, 2019 12:40 pm
BTW, did you just change the if (ipdb.daysOld > 90) statement to something else like if (ipdb.daysOld = 0)?
Just "if (false)" should be more than fine. The use of a single equals is assignment in JS; double or triple is needed for comparison.
click-click wrote:
Tue Mar 26, 2019 12:15 pm
@DaveG
Is there any way to just replace the Flagfox DB with a newer one?
If you already have Flagfox 5.2.11 (last ESR version), then yeah, you should be able to just dump in the newer files and everything other than Geotool will work. I backported the minor changes to the IPDB manifest format in 5.2.7. Geotool will reject you when it sees an invalid HMAC, but Geotool should already be rejecting such an old Flagfox version anyway. If you want to use Geotool, either use the current version of Flagfox or simply use Geotool by itself, not automatically called from Flagfox (CAPTCHAs may apply to throttle traffic; all of this is necessary to prevent abuse from killing the server, yet again).

Note that I'm only telling you what is technically possible here, for you own personal hackery. Uploading a modified version of Flagfox to be hosted for others is a violation of the Flagfox license. (not that it can even be run in any current version of Firefox, anyway, as Mozilla got rid of the ability to disable addon signing verification) There's already enough garbage scraper sites out there hosting official versions on dubious pages that show up in Google searches for Flagfox, and I'd really appreciate it if people didn't add to the mess with unofficial versions. Whatever you do on your own computer is your own decision, though, again, I'd prefer you accept that trying to keep things on life-support here is not a good idea.

Bottom line: We're talking about an old version of an addon that I should have completely ended support for in 2017, provided an extra year of extended support updates to, and is now end-of-life 2 years later. The codebase it depends on has been, itself, end-of-life since last year as well. This has to end at some point, which is one way or another long past due.

latoju
Posts: 1
Joined: Thu Apr 25, 2019 9:36 am

Re: How to disable annoying notification about me using an older version? (I plan to stay on Flagfox 5.2.3)

Post by latoju » Thu Apr 25, 2019 10:12 am

click-click wrote:
Tue Mar 26, 2019 12:15 pm
avada wrote:
Sun Feb 11, 2018 10:06 am

It seems more like it appears erroneously, then disappears on its own. I checked the config file and it has "{"warn.tld":"disabled","warn.stale":"disabled"}" in it. Maybe I could work around it via CSS if I could get a selector to the Flagfox specific notification.

(I forgot to mention, but I'm on Waterfrox 56.0.3)
Same here. comes and goes. I checked the storage.js file and also have

Code: Select all

{"warn.tld":"disabled","warn.stale":"disabled"}

Right now Flagfox is quiet. When the pop-ups return, I'll check the storage.js to see if something changed. The last resort will be
to edit the addon package previously mentioned in this thread.

@DaveG
Is there any way to just replace the Flagfox DB with a newer one?
Rejoice! I've found the fix:
1. Open about:config
2. Create new boolean entry "extensions.flagfox.FORCE_OLD_PREF_SYS"
3. Set the value to true
4. Set "extensions.flagfox.warn.stale" and "extensions.flagfox.warn.tld" value to "disabled"
5. Restart
DaveG wrote:
Mon Apr 22, 2019 1:06 am
Bottom line: We're talking about an old version of an addon that I should have completely ended support for in 2017, provided an extra year of extended support updates to, and is now end-of-life 2 years later. The codebase it depends on has been, itself, end-of-life since last year as well. This has to end at some point, which is one way or another long past due.
Hi Dave, thanks for creating and providing support for Flagfox since long time ago. We old timers still can't move on to the new browser because we still need the old addons. unMHT, Flashgot, and DownThemAll are some of essential addons I need for browsing. I bet those will never be ported because of how WebExtension works.
DaveG wrote:
Mon Apr 22, 2019 1:06 am
Note that I'm only telling you what is technically possible here, for you own personal hackery. Uploading a modified version of Flagfox to be hosted for others is a violation of the Flagfox license. (not that it can even be run in any current version of Firefox, anyway, as Mozilla got rid of the ability to disable addon signing verification) There's already enough garbage scraper sites out there hosting official versions on dubious pages that show up in Google searches for Flagfox, and I'd really appreciate it if people didn't add to the mess with unofficial versions. Whatever you do on your own computer is your own decision, though, again, I'd prefer you accept that trying to keep things on life-support here is not a good idea.
How about you make a "final" legacy version of Flagfox which disable the notification?
DaveG wrote:
Mon Apr 22, 2019 1:06 am
If you already have Flagfox 5.2.11 (last ESR version), then yeah, you should be able to just dump in the newer files and everything other than Geotool will work. I backported the minor changes to the IPDB manifest format in 5.2.7. Geotool will reject you when it sees an invalid HMAC, but Geotool should already be rejecting such an old Flagfox version anyway. If you want to use Geotool, either use the current version of Flagfox or simply use Geotool by itself, not automatically called from Flagfox (CAPTCHAs may apply to throttle traffic; all of this is necessary to prevent abuse from killing the server, yet again).
As I only use Flagfox to view the flag and location, I'm not affected by using the old version. The IPv4 locations have not been changed for years anyway.

Post Reply